## Retrieve a specific task execution

### cURL

```bash
curl --request GET \
  --url https://flows.super.ai/api/task-executions/{task_execution_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://flows.super.ai/api/task-executions/{task_execution_id}"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/task-executions/{task_execution_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/task-executions/{task_execution_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	
	url := "https://flows.super.ai/api/task-executions/{task_execution_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest

```java
HttpResponse<String> response = Unirest.get("https://flows.super.ai/api/task-executions/{task_execution_id}")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/task-executions/{task_execution_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

#### Example Response

```json
{
  "flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "task_execution_idx": 1,
  "task_name": "<string>",
  "created_at": "2025-01-23T10:30:00Z",
  "error": {
    "message": "Connection timeout after 30 seconds",
    "traceback": "Traceback (most recent call last):\n  ...",
    "type": "ConnectionError"
  },
  "input": "<unknown>",
  "modified_by": "system",
  "output": {
    "email_id": "msg_123",
    "sent_at": "2025-01-23T10:30:00Z"
  },
  "updated_at": "2025-01-23T10:35:00Z"
}
```

### Authorizations

- **X-API-Key**: string (header, required)
  - API key authentication. Include your API key in the `X-API-Key` header as: `X-API-Key YOUR_API_KEY`
- **Authorization**: string (header, required)
  - JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

### Path Parameters
- **task_execution_id**: string<uuid> (required)
  - Unique identifier of the task execution to retrieve.

### Response
- **200**: application/json
  - Task execution successfully retrieved
